Back to Mobile View

Skip to Content

Skype blocks users with OS X 10.5, earlier versions

A sad reality of owning older Macs running old version of OS X is the steady ticking time bomb of obsolescence. For Mac owners still running OS X 10.5 Leopard or earlier versions of the Mac's operating system, there has been another casualty of time's passing -- the ability to use Skype.

Users on Skype's message board began complaining about being locked out of the service without warning this week. The issue was impacting users some users using OS X 10.7.5 Lion, as well as OS X 10.5 Leopard.

Skype's official response? We no longer support anything lower than OS X 10.6.

Hi everyone,

there seems to be a lot of confusion around this. First, let me assure you that no-one is locking you out from using Skype on OS X 10.6 - 10.8 and there is no need to upgrade to Mavericks or (the new OS X now in dev preview) Yosemite if you don't want to.

All OS X 10.6 - 10.8 users can head over to http://www.skype.com/en/download-skype/skype-for-mac/downloading/ and get version 6.15. This is a very solid release and you can still use all of the main features without any problems (i.e. group video, group chats, screen sharing etc).

Note that you should only use the link above, it serves you with a correct update for your OS version, direct links (to DMG files) can work, but are not guaranteed to do so.

That said, we still encourage you to stay up to date, meaning upgrading to Mavericks and getting the latest Skype.

Hope this clarifies things a bit.

If you have problems updating, please let us know in this thread and I'll try to help you.



-Rene

For those people who are running OS X 10.6 Snow Leopard through OS X 10.8 Mountain Lion, you'll need to use Skype version 6.15 for compatibility. Those of you running 10.9 or testing 10.10 can use the newer Skype version 6.19.

Granted most Mac users won't notice the change, but for people working on older machines, upgrading may not be an option. Are you a Skype user who has been locked out of your account because you haven't updated your Mac? Let us know in the replies if you'll be updating to continue being able to access the service.

© 2014 AOL Inc. All Rights Reserved.